Bug 337601 - umount -t nfs4 uses rpc !
umount -t nfs4 uses rpc !
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 05:44 EDT by Francois MALARD
Modified: 2008-05-24 08:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: nfs-utils-1.1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-24 08:45:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francois MALARD 2007-10-18 05:44:03 EDT
Description of problem:

First interesting feature in Nfs version 4 :
it doesn't need RPC and only uses TCP port 2049

I verify this using Debian client.
But, with F7 client, RPC is invoked !!!
 (and only during umount !!!)

A) NFS Server Fedora 6 (nec1) 192.168.106.6
 2.6.18-1.2798.fc6

 nfs-utils-lib-1.0.8-7.2
 nfs-utils-1.0.10-14.fc6

 /etc/exports
  /NFS4exports         *(ro,sync,insecure,no_subtree_check,nohide,fsid=0)
  /NFS4exports/PARTAGE *(ro,sync,insecure,no_subtree_check,nohide)

 exportfs
  /NFS4exports/PARTAGE         <world>
  /NFS4exports                 <world>

 [root@NEC1 ~]# iptables -L -v
 Chain INPUT (policy DROP 0 packets, 0 bytes)
  pkts bytes target     prot opt in     out     source               destination
        
 77549 5521K ACCEPT     all  --  lo     any     anywhere             anywhere  
         
 2388K  743M ACCEPT     all  --  any    any     anywhere             anywhere  
         state RELATED,ESTABLISHED 
    11   660 ACCEPT     tcp  --  any    any     anywhere             anywhere  
         tcp dpt:nfs state NEW 
     5   296 ACCEPT     tcp  --  any    any     anywhere             anywhere  
         state NEW tcp dpt:ssh 
  3148  356K EVENEMENTS all  --  any    any     anywhere             anywhere    

B)  NFS client : Debian   (hp2)

  hp2:~# mount nec1:/PARTAGE /mnt/NFS-NEC1/
 
  hp2:~# mount | grep nec1
  nec1:/PARTAGE on /mnt/NFS-NEC1 type nfs4 (rw,addr=192.168.106.6)

  hp2:~# umount -t nfs4 nec1:/PARTAGE
  everything OK 

C) NFS client : Fedora 7 (F7) 192.168.106.77
   2.6.22.9-91.fc7

   nfs-utils-lib-1.0.8-10.fc7
   nfs-utils-1.1.0-3.fc7

  [root@f7 ~]# mount | grep nec1
    nec1:/PARTAGE on /mnt/NFS4-NEC1 type nfs4 (rw,addr=192.168.106.6)

  [root@f7 ~]# umount -t nfs4 /mnt/NFS4-NEC1/
   ^C
  [root@f7 ~]# umount -t nfs4 nec1:/PARTAGE
   ^C

 Waiting  .....
----------------------------------------------------------------------------------

  [root@NEC1 ~]# tail /var/log/ulogd/*u

Oct 18 10:24:21 NEC1 IN=eth0 SRC=192.168.106.77 DST=192.168.106.6 PROTO=TCP
SPT=58649 DPT=111 SEQ=2260129576 ACK=0 WINDOW=5840 SYN

To solve :
  [root@NEC1 ~]# service iptables stop
-----------------------------------------------------------------------------------
Now :
  [root@f7 ~]# umount -t nfs4 nec1:/PARTAGE

OK
Comment 1 Steve Dickson 2007-11-01 07:35:33 EDT
I believe this is fixed in the latest version of nfs-utils,
but I'll need to verify this...
Comment 2 Francois MALARD 2007-11-05 04:30:25 EST
Using lastest version : nfs-utils-1.1.0-4.fc7

the problem still exists.


Comment 3 Bug Zapper 2008-05-14 10:46:58 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.